<template>
    <div class="p-4 flex-grow">
        <div class="text-gray-700 text-sm font-semibold mb-4">
            <app-post-username :user="notification.data.user" /> replied to your post
            <app-post v-if="resolvedPost" :post="resolvedPost" class="!border-0" />
        </div>
    </div>
</template>
<script>
import { mapGetters } from 'vuex';
export default {
    props: {
        notification: {
            required: true,
            type: Object
        }
    },

    computed: {
        ...mapGetters({
            post: 'notifications/post'
        }),

        resolvedPost() {
            return this.post(this.notification.data.post.id);
        }
    }
}
</script>